VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Protected Member Functions | List of all members
FilterBase Class Reference
New classes » Version 4.1

A Base Class for Implementing Bitmap Filters. More...

`#include <cbitmapfilter.h>`

Inheritance diagram for FilterBase:

## Protected Member Functions
| FilterBase (UTF8StringPtr description)
bool | registerProperty (IdStringPtr name, const Property &defaultProperty)
CBitmap * | getInputBitmap () const
UTF8StringPtr | getDescription () const override
bool | setProperty (IdStringPtr name, const Property &property) override
bool | setProperty (IdStringPtr name, Property &&property) override
const Property & | getProperty (IdStringPtr name) const override
uint32_t | getNumProperties () const override
IdStringPtr | getPropertyName (uint32_t index) const override
Property::Type | getPropertyType (uint32_t index) const override
Property::Type | getPropertyType (IdStringPtr name) const override

## Additional Inherited Members
Public Types inherited from IFilter
using | CreateFunction = IFilter *(*)(IdStringPtr name)
Public Member Functions inherited from IFilter
virtual bool | run (bool replaceInputBitmap=false)=0
virtual UTF8StringPtr | getDescription () const =0
virtual bool | setProperty (IdStringPtr name, const Property &property)=0
virtual bool | setProperty (IdStringPtr name, Property &&property)=0
virtual const Property & | getProperty (IdStringPtr name) const =0
virtual uint32_t | getNumProperties () const =0
virtual IdStringPtr | getPropertyName (uint32_t index) const =0
virtual Property::Type | getPropertyType (uint32_t index) const =0
virtual Property::Type | getPropertyType (IdStringPtr name) const =0
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0 More...
void | remember () override
| increase refcount More...
virtual int32_t | getNbReference () const
| get refcount More...
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0 More...
virtual void | remember ()=0
| increase refcount More...

## Detailed Description

A Base Class for Implementing Bitmap Filters.

## Constructor & Destructor Documentation

## ◆ FilterBase()

FilterBase | ( | UTF8StringPtr | description | ) |
| protected

## Member Function Documentation

## ◆ getDescription()

UTF8StringPtr getDescription | ( |  | ) | const
| override protected virtual

Implements IFilter.

## ◆ getInputBitmap()

CBitmap * getInputBitmap | ( |  | ) | const
| protected

## ◆ getNumProperties()

uint32_t getNumProperties | ( |  | ) | const
| override protected virtual

Implements IFilter.

## ◆ getProperty()

const Property & getProperty | ( | IdStringPtr | name | ) | const
| override protected virtual

Implements IFilter.

## ◆ getPropertyName()

IdStringPtr getPropertyName | ( | uint32_t | index | ) | const
| override protected virtual

Implements IFilter.

## ◆ getPropertyType() [1/2]

Property::Type getPropertyType | ( | IdStringPtr | name | ) | const
| override protected virtual

Implements IFilter.

## ◆ getPropertyType() [2/2]

Property::Type getPropertyType | ( | uint32_t | index | ) | const
| override protected virtual

Implements IFilter.

## ◆ registerProperty()

bool registerProperty | ( | IdStringPtr | name,
|  | const Property & | defaultProperty
| ) |  |
| protected

## ◆ setProperty() [1/2]

bool setProperty | ( | IdStringPtr | name,
|  | const Property & | property
| ) |  |
| override protected virtual

Implements IFilter.

## ◆ setProperty() [2/2]

bool setProperty | ( | IdStringPtr | name,
|  | Property && | property
| ) |  |
| override protected virtual

Implements IFilter.

The documentation for this class was generated from the following files:

- cbitmapfilter.h
- cbitmapfilter.cpp